Bug 891646 - (CVE-2012-5976) CVE-2012-5976 asterisk: Crashes due to large stack allocations when using TCP (AST-2012-014)
CVE-2012-5976 asterisk: Crashes due to large stack allocations when using TCP...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130102,reported=2...
: Security
Depends On: 891650 891651
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 09:19 EST by Jan Lieskovsky
Modified: 2013-01-30 02:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 02:40:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-03 09:19:33 EST
Multiple stack-based buffer overflow flaws were found in the way Asterisk, the open-source PBX software, processed certain SIP, HTTP and XMPP protocol-based network messages. A remote attacker could use this flaw to cause asterisk executable to crash via specially-crafted SIP, HTTP or XMPP protocol messages.

References:
[1] http://downloads.asterisk.org/pub/security/AST-2012-014.html

Upstream patches:
[2] http://downloads.asterisk.org/pub/security/AST-2012-014-1.8.11.diff
[3] http://downloads.asterisk.org/pub/security/AST-2012-014-1.8.diff
[4] http://downloads.asterisk.org/pub/security/AST-2012-014-10.diff
[5] http://downloads.asterisk.org/pub/security/AST-2012-014-11.diff
[6] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697230
Comment 1 Jan Lieskovsky 2013-01-03 09:31:39 EST
This issue affects the versions of the asterisk package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the asterisk package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-03 09:33:23 EST
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 891650]
Affects: epel-6 [bug 891651]
Comment 3 Fedora Update System 2013-01-29 19:32:47 EST
asterisk-11.2.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-29 19:36:30 EST
asterisk-10.12.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-01-29 19:55:09 EST
asterisk-1.8.20.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.